"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateOptions = validateOptions;
const devkit_1 = require("@nx/devkit");
const semver_1 = require("semver");
const angular_version_utils_1 = require("../../../executors/utilities/angular-version-utils");
function validateOptions(options) {
    const { version: angularVersion } = (0, angular_version_utils_1.getInstalledAngularVersionInfo)();
    if ((0, semver_1.lt)(angularVersion, '18.1.0') && options.inspect) {
        throw new Error((0, devkit_1.stripIndents) `The "inspect" option is only supported in Angular >= 18.1.0. You are currently using "${angularVersion}".
      You can resolve this error by removing the "inspect" option or by migrating to Angular 18.1.0.`);
    }
}
