"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNgPackagrInstance = getNgPackagrInstance;
const ng_packagr_1 = require("ng-packagr");
async function getNgPackagrInstance() {
    const { getWriteBundlesTransformProvider } = await import('./ng-package/entry-point/write-bundles.di.js');
    const { getStylesheetProcessorFactoryProvider } = await import('../../utilities/ng-packagr/stylesheet-processor.di.js');
    const packagr = (0, ng_packagr_1.ngPackagr)();
    packagr.withProviders([
        getWriteBundlesTransformProvider(),
        getStylesheetProcessorFactoryProvider(),
    ]);
    return packagr;
}
