import type { Tree } from '@nx/devkit';
import type { Linter } from 'eslint';
import type { AddLintingGeneratorSchema } from '../schema';
type EslintExtensionSchema = {
    prefix: string;
};
/**
 * @deprecated Use tools from `@nx/eslint/src/generators/utils/eslint-file` instead. It will be removed in Nx v22.
 */
export declare const extendAngularEslintJson: (json: Linter.Config, options: EslintExtensionSchema) => {
    overrides: ({
        files: string[];
        extends: string[];
        rules: {
            '@angular-eslint/directive-selector': (string | {
                type: string;
                prefix: string;
                style: string;
            })[];
            '@angular-eslint/component-selector': (string | {
                type: string;
                prefix: string;
                style: string;
            })[];
        };
        excludedFiles?: string | string[] | undefined;
        $schema?: string | undefined;
        env?: {
            [name: string]: boolean;
        } | undefined;
        globals?: {
            [name: string]: boolean | "off" | "readonly" | "readable" | "writable" | "writeable";
        } | undefined;
        noInlineConfig?: boolean | undefined;
        overrides?: Linter.ConfigOverride<Linter.RulesRecord>[];
        parser?: string | undefined;
        parserOptions?: Linter.ParserOptions | undefined;
        plugins?: string[] | undefined;
        processor?: string | undefined;
        reportUnusedDisableDirectives?: boolean | undefined;
        settings?: {
            [name: string]: any;
        } | undefined;
    } | {
        files: string[];
        extends: string[];
        /**
         * Having an empty rules object present makes it more obvious to the user where they would
         * extend things from if they needed to
         */
        rules: {
            '@angular-eslint/directive-selector'?: undefined;
            '@angular-eslint/component-selector'?: undefined;
        };
    })[];
    ignorePatterns?: string | string[] | undefined;
    root?: boolean | undefined;
    $schema?: string | undefined;
    env?: {
        [name: string]: boolean;
    } | undefined;
    extends?: string | string[] | undefined;
    globals?: {
        [name: string]: boolean | "off" | "readonly" | "readable" | "writable" | "writeable";
    } | undefined;
    noInlineConfig?: boolean | undefined;
    parser?: string | undefined;
    parserOptions?: Linter.ParserOptions | undefined;
    plugins?: string[] | undefined;
    processor?: string | undefined;
    reportUnusedDisableDirectives?: boolean | undefined;
    settings?: {
        [name: string]: any;
    } | undefined;
    rules?: Partial<Linter.RulesRecord>;
};
/**
 * @deprecated Use {@link extendAngularEslintJson} instead. It will be removed in Nx v22.
 */
export declare function createEsLintConfiguration(tree: Tree, options: AddLintingGeneratorSchema): void;
export {};
