import type { Tree } from '@nx/devkit';
import type { ProjectMigrator } from '../migrators';
import type { GeneratorOptions } from '../schema';
import type { WorkspaceRootFileTypesInfo } from './types';
export declare function validateWorkspace(tree: Tree): void;
export declare function createNxJson(tree: Tree, options: GeneratorOptions, defaultProject: string | undefined): void;
export declare function updateWorkspaceConfigDefaults(tree: Tree): void;
export declare function updateRootTsConfig(tree: Tree): void;
export declare function updatePackageJson(tree: Tree): void;
export declare function updateRootEsLintConfig(tree: Tree, existingEsLintConfig: any | undefined, unitTestRunner?: string): Promise<void>;
export declare function cleanupEsLintPackages(tree: Tree): void;
export declare function createWorkspaceFiles(tree: Tree): Promise<void>;
export declare function createRootKarmaConfig(tree: Tree): void;
export declare function getWorkspaceRootFileTypesInfo(tree: Tree, migrators: ProjectMigrator[]): WorkspaceRootFileTypesInfo;
export declare function updateVsCodeRecommendedExtensions(tree: Tree): void;
export declare function deleteAngularJson(tree: Tree): void;
export declare function deleteGitKeepFilesIfNotNeeded(tree: Tree): void;
