"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateNgrxFilesFromTemplates = generateNgrxFilesFromTemplates;
const devkit_1 = require("@nx/devkit");
const semver_1 = require("semver");
/**
 * Generate 'feature' scaffolding: actions, reducer, effects, interfaces, selectors, facade
 */
function generateNgrxFilesFromTemplates(tree, options) {
    const name = options.name;
    const projectNames = (0, devkit_1.names)(name);
    (0, devkit_1.generateFiles)(tree, (0, devkit_1.joinPathFragments)(__dirname, '..', 'files'), options.parentDirectory, {
        ...options,
        ...projectNames,
        importFromOperators: (0, semver_1.lt)(options.rxjsVersion, '7.2.0'),
        tmpl: '',
    });
    if (!options.facade) {
        tree.delete((0, devkit_1.joinPathFragments)(options.parentDirectory, options.directory, `${projectNames.fileName}.facade.ts`));
        tree.delete((0, devkit_1.joinPathFragments)(options.parentDirectory, options.directory, `${projectNames.fileName}.facade.spec.ts`));
    }
}
