"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateTsConfig = updateTsConfig;
const devkit_1 = require("@nx/devkit");
function updateTsConfig(tree, options) {
    const { root } = (0, devkit_1.readProjectConfiguration)(tree, options.appName);
    (0, devkit_1.updateJson)(tree, (0, devkit_1.joinPathFragments)(root, `tsconfig.app.json`), (json) => {
        json.compilerOptions ??= {};
        json.compilerOptions.target = 'ES2020';
        if (options.mfType === 'remote') {
            json.files ??= [];
            json.files.push(options.standalone
                ? 'src/app/remote-entry/entry.routes.ts'
                : `src/app/remote-entry/${options.entryModuleFileName}.ts`);
        }
        return json;
    });
}
