"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectTailwindInstalledVersion = detectTailwindInstalledVersion;
const devkit_1 = require("@nx/devkit");
const semver_1 = require("@nx/devkit/src/utils/semver");
const semver_2 = require("semver");
function detectTailwindInstalledVersion(tree) {
    const { dependencies, devDependencies } = (0, devkit_1.readJson)(tree, 'package.json');
    const tailwindVersion = dependencies?.tailwindcss ?? devDependencies?.tailwindcss;
    if (!tailwindVersion) {
        return undefined;
    }
    const version = (0, semver_1.checkAndCleanWithSemver)('tailwindcss', tailwindVersion);
    if ((0, semver_2.lt)(version, '2.0.0')) {
        throw new Error(`The Tailwind CSS version "${tailwindVersion}" is not supported. Please upgrade to v2.0.0 or higher.`);
    }
    return (0, semver_2.lt)(version, '3.0.0') ? '2' : '3';
}
