"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addVitest = addVitest;
const devkit_1 = require("@nx/devkit");
const versions_1 = require("../../utils/versions");
const version_utils_1 = require("./version-utils");
async function addVitest(tree, options) {
    const { vitestGenerator } = (0, devkit_1.ensurePackage)('@nx/vite', versions_1.nxVersion);
    await vitestGenerator(tree, {
        project: options.name,
        uiFramework: 'angular',
        testEnvironment: 'jsdom',
        coverageProvider: 'v8',
        addPlugin: options.addPlugin ?? false,
    });
    if (!options.skipPackageJson) {
        const angularDevkitVersion = (0, version_utils_1.getInstalledAngularDevkitVersion)(tree) ??
            (0, version_utils_1.versions)(tree).angularDevkitVersion;
        (0, devkit_1.addDependenciesToPackageJson)(tree, {}, { '@angular/build': angularDevkitVersion }, undefined, true);
    }
}
