"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalizeOptions = normalizeOptions;
const devkit_1 = require("@nx/devkit");
function normalizeOptions(tree, options) {
    if (!(0, devkit_1.getProjects)(tree).has(options.project)) {
        throw new Error(`Project '${options.project}' does not exist!`);
    }
    const { projectType, sourceRoot, root } = (0, devkit_1.readProjectConfiguration)(tree, options.project);
    if (projectType !== 'application') {
        throw new Error(`Web Worker can only be added to an application. Project '${options.project}' is a library.`);
    }
    const path = options.path ?? sourceRoot
        ? (0, devkit_1.joinPathFragments)(sourceRoot, 'app')
        : (0, devkit_1.joinPathFragments)(root, 'src', 'app');
    if (!tree.exists(path)) {
        throw new Error(`Path '${options.path}' does not exist!`);
    }
    return {
        ...options,
        path,
        snippet: options.snippet ?? true,
    };
}
