"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = default_1;
const devkit_1 = require("@nx/devkit");
const version_utils_1 = require("../../generators/utils/version-utils");
async function default_1(tree) {
    const browserSyncVersion = (0, version_utils_1.getInstalledPackageVersion)(tree, 'browser-sync');
    if (browserSyncVersion) {
        return;
    }
    const projects = (0, devkit_1.getProjects)(tree);
    for (const project of projects.values()) {
        if (project.projectType !== 'application') {
            continue;
        }
        for (const target of Object.values(project.targets ?? {})) {
            if (target.executor !== '@angular-devkit/build-angular:ssr-dev-server' &&
                target.executor !== '@nx/angular:module-federation-dev-ssr') {
                continue;
            }
            (0, devkit_1.addDependenciesToPackageJson)(tree, {}, { 'browser-sync': '^3.0.0' });
            await (0, devkit_1.formatFiles)(tree);
            return;
        }
    }
}
