"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typescriptEslintUtilsVersion = void 0;
exports.default = default_1;
const devkit_1 = require("@nx/devkit");
const version_utils_1 = require("../../generators/utils/version-utils");
exports.typescriptEslintUtilsVersion = '^7.16.0';
async function default_1(tree) {
    if ((0, version_utils_1.getInstalledPackageVersion)(tree, '@typescript-eslint/utils')) {
        return;
    }
    const eslintPluginVersionInfo = (0, version_utils_1.getInstalledPackageVersionInfo)(tree, '@angular-eslint/eslint-plugin') ??
        (0, version_utils_1.getInstalledPackageVersionInfo)(tree, '@angular-eslint/eslint-plugin-template');
    if (!eslintPluginVersionInfo || eslintPluginVersionInfo.major < 18) {
        return;
    }
    (0, devkit_1.addDependenciesToPackageJson)(tree, {}, { '@typescript-eslint/utils': exports.typescriptEslintUtilsVersion });
    await (0, devkit_1.formatFiles)(tree);
}
