import * as latestVersions from './versions';
type SupportedVersions = 'angularV18' | 'angularV19';
type LatestPackageVersionNames = Exclude<keyof typeof latestVersions, 'nxVersion'>;
type CompatPackageVersionNames = LatestPackageVersionNames;
export type PackageVersionNames = LatestPackageVersionNames | CompatPackageVersionNames;
export type VersionMap = {
    angularV18: Record<CompatPackageVersionNames, string>;
    angularV19: Record<CompatPackageVersionNames, string>;
};
export type PackageLatestVersions = Record<LatestPackageVersionNames, string>;
export type PackageCompatVersions = VersionMap[SupportedVersions];
export declare const backwardCompatibleVersions: VersionMap;
export {};
