"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.allProjectTargets = allProjectTargets;
exports.allTargetOptions = allTargetOptions;
function* allProjectTargets(project) {
    for (const [name, target] of Object.entries(project.targets ?? {})) {
        yield [name, target];
    }
}
function* allTargetOptions(target) {
    if (target.options) {
        yield [undefined, target.options];
    }
    if (!target.configurations) {
        return;
    }
    for (const [name, options] of Object.entries(target.configurations)) {
        if (options !== undefined) {
            yield [name, options];
        }
    }
}
