"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPkgVersionForAngularMajorVersion = getPkgVersionForAngularMajorVersion;
exports.getPkgVersionsForAngularMajorVersion = getPkgVersionsForAngularMajorVersion;
const tslib_1 = require("tslib");
const semver_1 = require("semver");
const backward_compatible_versions_1 = require("./backward-compatible-versions");
const versions = tslib_1.__importStar(require("./versions"));
const versions_1 = require("./versions");
function getPkgVersionForAngularMajorVersion(pkgVersionName, angularMajorVersion) {
    return angularMajorVersion < (0, semver_1.major)((0, semver_1.coerce)(versions_1.angularVersion))
        ? backward_compatible_versions_1.backwardCompatibleVersions[`angularV${angularMajorVersion}`]?.[pkgVersionName] ?? versions[pkgVersionName]
        : versions[pkgVersionName];
}
function getPkgVersionsForAngularMajorVersion(angularMajorVersion) {
    return angularMajorVersion < (0, semver_1.major)((0, semver_1.coerce)(versions_1.angularVersion))
        ? backward_compatible_versions_1.backwardCompatibleVersions[`angularV${angularMajorVersion}`] ?? versions
        : versions;
}
